require 'fi_form/version'
require 'fi_form/configuration'

require 'fi_form/renderer'
require 'fi_form/debug_renderer'
require 'fi_form/builder'
require 'fi_form/item'

require 'fi_form/setup'

module FiForm
end

require 'fi_form/railtie' if defined?(Rails)


# load extensions
if Gem.loaded_specs['activerecord']
  require 'active_record'
  require 'fi_form/builder_extensions/active_record'
  FiForm::Builder.prepend FiForm::BuilderExtensions::ActiveRecord
end